shutdown does not work

Bug #526456 reported by Jonathan Riddell on 2010-02-23
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Medium
Colin Watson
Lucid
Medium
Colin Watson

Bug Description

Binary package hint: ubiquity

on today's kubuntu daily CD if you click "shutdown" after the install is complete you get a message from the write daemon that shutdown will happen but an error in the logs

ProblemType: Bug
Architecture: i386
Date: Tue Feb 23 13:50:38 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Kubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100223.1)
Package: ubiquity (not installed)
ProcEnviron:
 LANGUAGE=
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SourcePackage: ubiquity
Uname: Linux 2.6.32-14-generic i686

Jonathan Riddell (jr) wrote :

log says

Feb 23 13:52:39 ubuntu ubiquity: shutdown: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Jonathan Riddell (jr) on 2010-02-23
Changed in ubiquity (Ubuntu):
milestone: none → lucid-alpha-3
Jonathan Riddell (jr) on 2010-02-23
tags: added: kubuntu
tags: added: iso-testing
Colin Watson (cjwatson) wrote :

16:24 <Riddell> 526456 can be moved to beta-1 as well

Changed in ubiquity (Ubuntu Lucid):
milestone: lucid-alpha-3 → ubuntu-10.04-beta-1

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't start working on it yet, because your description didn't include enough information.

Please include the information requested at https://wiki.ubuntu.com/DebuggingUbiquity/AttachingLogs as separate attachments by visiting your bug's web page. Thanks in advance.

Changed in ubiquity (Ubuntu Lucid):
status: New → Incomplete
Colin Watson (cjwatson) wrote :

Please disregard Timofey's comment. Additional log files would not help.

Changed in ubiquity (Ubuntu Lucid):
status: Incomplete → Confirmed
Colin Watson (cjwatson) wrote :

Martin: no, it isn't - bug 506418 is happening at a later stage and in a different body of code.

Colin Watson (cjwatson) on 2010-03-15
Changed in ubiquity (Ubuntu Lucid):
status: Confirmed → Fix Committed
importance: Undecided → Medium
assignee: nobody → Colin Watson (cjwatson)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.2.0

---------------
ubiquity (2.2.0) lucid; urgency=low

  [ Evan Dandrea ]
  * Removed the alpha warning. Welcome to Ubuntu 10.04 Beta 1.
  * Align labels to the top on the language page (LP: #532876).
  * The run method of GTK+ dialogs enters a nested main loop. However,
    the user can click the quit button (which calls the quit dialog's
    run method) before the page is ready. Once the page is actually ready,
    another main loop is entered, and thus if the user hits the quit button
    on the quit dialog at this point, nothing will happen. Work around this
    by managing the state of the quit dialog in the frontend.

  [ Colin Watson ]
  * GTK frontend:
    - Fix label retranslation when clicking on update link (LP: #531864).
  * KDE frontend:
    - Use manual xauth code and sudo rather than kdesudo; the latter does
      not permit passing through environment variables other than
      one-by-one, which broke various things (LP: #526456, #538142).
    - Construct the default hostname from the text in the username box, not
      from the previous text in the hostname box (LP: #527704).
  * Automatic update of included source packages: console-setup
    1.34ubuntu11, grub-installer 1.49ubuntu7, partman-base 138ubuntu3,
    partman-target 64ubuntu7.

  [ Jonathan Riddell ]
  * Ensure progressDialog is kept updated (LP: #538147)
  * Set Qt style accelarators on question dialogue
  * Do OEM config UI setup after translate_widgets, (LP: #539176)
 -- Colin Watson <email address hidden> Mon, 15 Mar 2010 23:37:55 +0000

Changed in ubiquity (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers